Bug 191579 - update port: lang/urweb
Summary: update port: lang/urweb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-03 05:10 UTC by Timothy Beyer
Modified: 2014-07-08 22:49 UTC (History)
1 user (show)

See Also:


Attachments
urweb.diff (2.81 KB, patch)
2014-07-03 05:10 UTC, Timothy Beyer
no flags Details | Diff
Update to Ur/Web version 20140714 (2.94 KB, patch)
2014-07-05 21:27 UTC, Timothy Beyer
no flags Details | Diff
Update to Ur/Web version 20140704, version 2 (2.93 KB, patch)
2014-07-05 22:13 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2014-07-03 05:10:17 UTC
Created attachment 144365 [details]
urweb.diff

- update to 20140615 version

- Use sed instead of patch to configure file

How-To-Repeat:
Apply patch and build port

Fix:
The included patch
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-07-05 16:54:14 UTC
+post-extract:
+       ${REINPLACE_CMD} -e "s|postgresql/libpq-fe.h|libpq-fe.h|g" \

This is usually done in the post-patch stage.

+       ${WRKSRC}/configure

This is already called in the do-configure step, why call it manually here?
Comment 2 Timothy Beyer 2014-07-05 21:17:14 UTC
I'm not manually calling the configure script manually, I am patching it with sed.
Comment 3 Timothy Beyer 2014-07-05 21:27:04 UTC
Created attachment 144435 [details]
Update to Ur/Web version 20140714

Update to 20140714 version.
Comment 4 Timothy Beyer 2014-07-05 21:31:00 UTC
I would just go ahead with my newer patch.  If there are any issues, I can sort them out as needed.

I spanned the post-extract step over two lines so as to not exceed the 80 character limit, so it is just the last argument to REINPLACE_CMD.
Comment 5 Timothy Beyer 2014-07-05 21:32:25 UTC
My mistake, I meant 20140704 rather than 20140714.
Comment 6 Timothy Beyer 2014-07-05 22:13:03 UTC
Created attachment 144437 [details]
Update to Ur/Web version 20140704, version 2

- Update to Ur/Web version 20140704

- Move post-extract step to post patch step (eg. patch to configure uses REINPLACE_CMD instead)
Comment 7 commit-hook freebsd_committer 2014-07-08 22:47:59 UTC
A commit references this bug:

Author: rakuco
Date: Tue Jul  8 22:47:15 UTC 2014
New revision: 361318
URL: http://svnweb.freebsd.org/changeset/ports/361318

Log:
  Update to 20140704.

  PR:		191579
  Submitted by:	beyert@cs.ucr.edu (maintainer)

Changes:
  head/lang/urweb/Makefile
  head/lang/urweb/distinfo
  head/lang/urweb/files/
  head/lang/urweb/pkg-plist
Comment 8 Raphael Kubo da Costa freebsd_committer 2014-07-08 22:49:39 UTC
Committed, thanks!